---
title: Two.RoundedRectangle
pageClass: docs
lang: en-US
---

# Two.RoundedRectangle


<div class="extends">

Extends: [Two.Path](/docs/path/)

</div>





<div class="meta">
  <custom-button text="Source" type="source" href="https://github.com/jonobr1/two.js/blob/main/src/shapes/rounded-rectangle.js" />
</div>


<carbon-ads />


### Constructor


| Argument | Description |
| ---- | ----------- |
|  x  | The x position of the rounded rectangle. |
|  y  | The y position of the rounded rectangle. |
|  width  | The width value of the rounded rectangle. |
|  height  | The width value of the rounded rectangle. |
|  radius  | The radius value of the rounded rectangle. |
|  resolution  | The number of vertices used to construct the rounded rectangle. |



<div class="static member ">

## Properties

<h2 class="longname" aria-hidden="true"><a href="#Properties"><span class="prefix">Two.RoundedRectangle.</span><span class="shortname">Properties</span></a></h2>










<div class="properties">


A list of properties that are on every [Two.RoundedRectangle](/docs/shapes/rounded-rectangle/).


</div>










<div class="meta">

  <a class="lineno" target="_blank" rel="noopener noreferrer" href="https://github.com/jonobr1/two.js/blob/main/src/shapes/rounded-rectangle.js#L122">
    rounded-rectangle.js:122
  </a>

</div>




</div>



<div class="instance member ">

## width

<h2 class="longname" aria-hidden="true"><a href="#width"><span class="prefix">Two.RoundedRectangle.</span><span class="shortname">width</span></a></h2>










<div class="properties">


The width of the rounded rectangle.


</div>










<div class="meta">

  <a class="lineno" target="_blank" rel="noopener noreferrer" href="https://github.com/jonobr1/two.js/blob/main/src/shapes/rounded-rectangle.js#L87">
    rounded-rectangle.js:87
  </a>

</div>




</div>



<div class="instance member ">

## height

<h2 class="longname" aria-hidden="true"><a href="#height"><span class="prefix">Two.RoundedRectangle.</span><span class="shortname">height</span></a></h2>










<div class="properties">


The height of the rounded rectangle.


</div>










<div class="meta">

  <a class="lineno" target="_blank" rel="noopener noreferrer" href="https://github.com/jonobr1/two.js/blob/main/src/shapes/rounded-rectangle.js#L95">
    rounded-rectangle.js:95
  </a>

</div>




</div>



<div class="instance member ">

## radius

<h2 class="longname" aria-hidden="true"><a href="#radius"><span class="prefix">Two.RoundedRectangle.</span><span class="shortname">radius</span></a></h2>










<div class="properties">


The size of the radius of the rounded rectangle.


</div>










<div class="meta">

  <a class="lineno" target="_blank" rel="noopener noreferrer" href="https://github.com/jonobr1/two.js/blob/main/src/shapes/rounded-rectangle.js#L103">
    rounded-rectangle.js:103
  </a>

</div>




</div>



<div class="instance function ">

## clone

<h2 class="longname" aria-hidden="true"><a href="#clone"><span class="prefix">Two.RoundedRectangle.</span><span class="shortname">clone</span></a></h2>




<div class="returns">

__Returns__: Two.RoundedRectangle



</div>









<div class="params">

| Argument | Description |
| ---- | ----------- |
|  parent  | The parent group or scene to add the clone to. |
</div>




<div class="description">

Create a new instance of [Two.RoundedRectangle](/docs/shapes/rounded-rectangle/) with the same properties of the current path.

</div>





<div class="meta">

  <a class="lineno" target="_blank" rel="noopener noreferrer" href="https://github.com/jonobr1/two.js/blob/main/src/shapes/rounded-rectangle.js#L247">
    rounded-rectangle.js:247
  </a>

</div>




</div>



<div class="instance function ">

## toObject

<h2 class="longname" aria-hidden="true"><a href="#toObject"><span class="prefix">Two.RoundedRectangle.</span><span class="shortname">toObject</span></a></h2>




<div class="returns">

__Returns__: Object



</div>












<div class="description">

Return a JSON compatible plain object that represents the path.

</div>





<div class="meta">

  <a class="lineno" target="_blank" rel="noopener noreferrer" href="https://github.com/jonobr1/two.js/blob/main/src/shapes/rounded-rectangle.js#L285">
    rounded-rectangle.js:285
  </a>

</div>




</div>


